version: "3"
services:
  web:
    image: nginx:latest
    ports:
      - "8888:80"
    volumes:
      - ./html:/html
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
      - ./nginx/site.conf:/etc/nginx/sites-enabled/site.conf
    links:
      - php

  php:
    image: php:8-fpm
    build:
      context: .
      dockerfile: ./dockerfiles/Dockerfile.php
    volumes:
      - ./html:/html
    working_dir: /html
